Skip to main content
`Ctrl`+`K`

# DMInterpolationGetCoordinates

Gets a `Vec` with the coordinates of each interpolation point

## Synopsis

    #include "petscdmplex.h"
    #include "petscsnes.h"
    PetscErrorCode DMInterpolationGetCoordinates(DMInterpolationInfo ctx, Vec *coordinates)

Collective

## Input Parameter

- ctx - the context

## Output Parameter

- coordinates - the coordinates of interpolation points

## Note

The local vector entries correspond to interpolation points lying on this process, according to the associated `DM`. This is a borrowed vector that the user should not destroy.

## See Also

DM Basics, `DM`, `DMInterpolationInfo`, `DMInterpolationEvaluate()`, `DMInterpolationAddPoints()`, `DMInterpolationCreate()`

## Level

intermediate

## Location

src/snes/utils/dm/dminterpolatesnes.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages